import request from '@/utils/request'

// 查询文档资源分类管理列表
export function listCategory(query) {
  return request({
    url: '/system/category/list',
    method: 'get',
    params: query
  })
}

// 查询文档资源分类管理详细
export function getCategory(id) {
  return request({
    url: '/system/category/' + id,
    method: 'get'
  })
}

// 新增文档资源分类管理
export function addCategory(data) {
  return request({
    url: '/system/category',
    method: 'post',
    data: data
  })
}

// 修改文档资源分类管理
export function updateCategory(data) {
  return request({
    url: '/system/category',
    method: 'put',
    data: data
  })
}

// 删除文档资源分类管理
export function delCategory(id) {
  return request({
    url: '/system/category/' + id,
    method: 'delete'
  })
}


// 获取文档分类树列表
export function documentTree(query) {
  return request({
    url: '/system/category/documentTree',
    method: 'get',
    params: query
  })
}

